ATA_LINK_ONLINE(9)

NAME
ata_link_online - test whether the given link is online

SYNOPSIS

bool ata_link_online(struct ata_link * link);

ARGUMENTS

link
    ATA link to test

DESCRIPTION

Test whether link is online. This is identical to ata_phys_link_online when there's no slave link. When there's a slave link, this function should only be called on the master link and will return true if any of M/S links is online.

LOCKING

None.

RETURNS

True if the port online status is available and online.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT